Bug 24012 - upgrading "lilo" leaves system in non bootable state
Summary: upgrading "lilo" leaves system in non bootable state
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: lilo   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-15 01:14 UTC by Jaroslaw Sosnicki
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-15 01:14:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 2001-01-15 01:14:16 UTC
1. I am running:
Linux server.domain.com 2.4.0-0.43.12smp #1 SMP Wed Dec 27 18:23:19 EST
2000 i686 unknown
2. I upgraded lilo to:
# rpm -q lilo
lilo-21.4.4-12

3. After rebooting I never get complete boot prompt, it hangs displaying
only
"LIL 

4. Booted with floppy boot disk
OK!
5. executed 
# lilo
Added smp240-043.12 *
Added lin240-043.12

6. Rebooted
OK!

I suggest that you modify RPM script to execute lilo automatically after
upgrade to rewrite boot record

Comment 1 Jeremy Katz 2002-06-04 06:13:58 UTC
Unfortunately, it's impossible to definitively tell whether or not grub or lilo
is being used as the bootloader so running lilo has a very legitimate
possibility of hosing someone's bootloader configuration as well.


Note You need to log in before you can comment on or make changes to this bug.